Get media by ID
get
/Media/{id}
Note: The FHIR API endpoints described below are available for customers to deploy and use. Developers are welcome and encouraged to develop against the specifications in anticipation of customer deployment.
Retrieves an individual media item by the associated ID.
Request
Path Parameters
-
id(required): string
The logical resource ID.
Header Parameters
-
accept(required): string
The media type to be requested.
Example:
application/fhir+json -
authorization(required): string
The OAuth 2.0 Bearer token used to authenticate the request.
There's no request body for this operation.
Back to TopResponse
200 Response
The successful retrieve response.
Root Schema : Media
Type:
objectA photo, video, audio recording, or other digital media item.
Show Source
-
content(required): object
Attachment
-
encounter: object
ReferenceForMedia
-
id(required): string
The logical ID of the media.
-
meta: object
meta
-
resourceType(required): string
Allowed Values:
[ "Media" ] -
status(required): string
Allowed Values:
[ "completed" ]The preparation status of the media. -
subject: object
ReferenceForMedia
-
text(required): object
Narrative
Nested Schema : Attachment
Type:
Show Source
object-
contentType: string
The MIME type of the media content.
-
creation: string
(date-time)
-
data: string
(byte)
The Base64-encoded media content.
-
size: integer
(int64)
The number of bytes in the decoded media content.
-
title: string
-
url: string
(uri)
Nested Schema : ReferenceForMedia
Type:
Show Source
object-
display: string
The human-readable reference label.
-
reference(required): string
The relative resource reference.
-
type(required): string
Allowed Values:
[ "Patient", "Encounter" ]The referenced resource type.
Nested Schema : meta
Type:
Show Source
object-
lastUpdated: string
(date-time)
The last update time.
-
security: array
security
-
versionId: string
The version-specific identifier.
Nested Schema : Narrative
Type:
Show Source
object-
div: string
The XHTML narrative content.
-
status: string
The narrative generation status.
Default Response
An OperationOutcome
describing any error that occurred.
Root Schema : OperationOutcome
Type:
objectThe FHIR OperationOutcome.
Show Source
-
issue: array
issue
The OperationOutcome issues.
-
resourceType: string
Allowed Values:
[ "OperationOutcome" ]The FHIR resource type.
Nested Schema : CodeableConcept
Type:
Show Source
object-
coding: array
coding
The terminology codings or data-absent-reason coding.
-
id: string
-
text: string
The human-readable medication name.
Nested Schema : coding
Type:
arrayThe terminology codings or data-absent-reason coding.
Show Source